=== debian/changelog ===
debian-cd (2.2.13) unstable; urgency=low

  * Add jigdo generation support (see README).
  * Automatically add packages listed by local debootstrap. Closes: #131820
  * Adapted to new s390 boot-floppies 3.0.19 directory structure (Stefan
    Gybas <sgybas@debian.org>).
  * Updated boot-i386 for the boot-floppies 3.0.19.
  * Don't include the base-images-* directories on the CD. They
    are meant for people wishing to install by floppy (who download the
    floppy images from the net).
  * Corrected the priority to match the priority given in the override file.
  * CDs with .disk/kernel_installable have the disks-<arch> directories
    and those with .disk/base_installable have all the packages required
    by debootstrap.
  * Updated base-woody with debootstrap 0.1.17. Closes: #138357

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 16 Mar 2002 19:53:41 +0100

debian-cd (2.2.12) unstable; urgency=low

  * Get it right this time with the MULTIBOOT test ... Closes: #127234
  * Correct spelling mistake in README.devel. Closes: #127726
  * Make the log output more consistent and offer the possibility
    to not force the inclusion of recommended/suggested packages.
    Thanks to Petter Reinholdtsen for the patches.
    Closes: #127964, #127968
  * Undef some automatic variable substitution (like i386)
    of cpp causing problems while generating tasks files. Closes: #129044
    Thanks again to Petter Reinholdsten.
  * Don't fail if Contents-$ARCH files are missing. Closes: #129166

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 29 Dec 2001 19:57:23 +0100

debian-cd (2.2.11) unstable; urgency=medium

  * Changed "==" test by "=" test that works with ash also. Closes: #125727
  * Corrected the rules files to remove the .#* files of CVS merges.
    Closes: #125728
  * Corrected the documentation. Closes: #125729
  * Complains about missing Release files. Closes: #126076

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 16 Dec 2001 04:34:03 +0100

debian-cd (2.2.10) unstable; urgency=low

  * first test of multi-boot cdimage for i386 disk #1
    You must export MULTIBOOT="yes" in CONF.sh  to enable this feature. -jwest
  * Removed "ide" boot floppy's flavor. Closes: #120415
  * Added support for s390 (Jochen Rhrig <jr@debian.org>).
  * Documentation about the fact the environment variables may
    pollute your environment after a debian-cd run. Closes: #123289

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 26 Nov 2001 18:21:50 +0100

debian-cd (2.2.9) unstable; urgency=low

  * Added i386 boot blocks for udam100-ext3 to disk 5 -jwest
  * Added i386 boot blocks for reiserfs to disk 6 - jwest
  * Drop support of slink. Drop support of dpkg-multicd.
  * Uses apt-ftparchive and no more dpkg-scan{packages,sources}.
  * Does use the extra override file. Closes: #113794
  * Remove the use of unzip in boot-alpha. Nobody should use unzip...
  * Update yaboot.conf and ofboot.b to conform to current (1.3.4) yaboot (powerpc).
  * If using BOOTDISK= pick up docs from there also (Richard Hirst).
  * Synced tasks/base-woody with debootstrap 0.1.15.8.
    Closes: #119099
  * Add kludgy yaboot.conf for potato's broken yaboot.
  * ia64, only first disk is bootable, and use symlinks in /install
    to save space.  rescue.bin is 10MB on ia64.  (Richard Hirst)

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 16 Sep 2001 14:57:22 +0200

debian-cd (2.2.8) unstable; urgency=low

  * Be less restrictive on non-US section name (ie accepts non-us too).
  * Add support for ia64 (Richard Hirst).  Closes: #110553.
  * Update the "Components" field of the Release files. Was
    causing a bug in debootstrap.
  * Add support for hppa (Richard Hirst).
  * Removed the last reference to unzip. No more references to lha
    either. So debian-cd can go in main.
  * Changes for powerpc were made by Ethan Benson. Closes: #104333

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 19 Aug 2001 13:42:27 +0200

debian-cd (2.2.7) unstable; urgency=low

  * Minor fix in tools/woody/installtools.sh
  * Disabled the secured stuff by default. Make it configurable
    with a environment variable.
  * Various other little changes (in particular wrt LOCAL handling).

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 24 Jul 2001 18:56:33 +0200

debian-cd (2.2.6) unstable; urgency=medium

  * Updated tasks/base-woody to be in sync with debootstrap 0.1.15.
  * Improved documentation about Official images. Closes: #101578
  * Build woody CD set by default now. Updated CONF.sh accordingly.
  * Use Digest::MD5 instead of MD5. Depends on libdigest-md5-perl
    instead of "libdigest-md5-perl | libmd5-perl". Closes: #104184

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 19 Jun 2001 00:43:04 +0200

debian-cd (2.2.5) unstable; urgency=low

  * Remove (obsolete) -a from mkhybrid call. Changed mkhybrid to mkisofs
    since mkhybrid has been superseded by mkisofs. Closes: #97439
  * Only includes latest version of a package if a newer version
    is provided in a local repository.
  * Includes on CD1 packages needed by debootstrap. Closes: #100353

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 19 May 2001 15:15:29 +0200

debian-cd (2.2.4) unstable; urgency=medium

  * All (i386) CD's now have a different kernel from boot-disks.
  * Updated pi-makelist, now excludes all of the sparc live filesystem.
  * Added Recommends: debianutils because pi-makelist uses tempfile(1)
    since 2.2.3; also mentioned this in the debian-cd/YACS README.
  * Some minor updates/rewordings in CD's top-level README.
  * Typo. tools/add_dirs line #26 changed to if [ -n     --jwest
    Closes: #79902
  * Include a new interactive boot.bat. Closes: #83471
  * Corrected tools/apt-selection. Closes: #79903
  * Does correctly manage pools wrt Packages files. 
  * Now depends on grep-dctrl.
  * Now creates a $CODENAME-secured tree with Release and Release.gpg
    files from the archive. Closes: #93612
  * Some esthetic corrections to the Makefile.
  * Updated the popularity-contest file.

