=== debian/control ===
Source: debian-cd
Section: admin
Priority: extra
Maintainer: Raphael Hertzog <hertzog@debian.org>
Build-Depends-Indep: debhelper (>= 3)
Standards-Version: 3.5.2

Package: debian-cd
Architecture: all
Depends: perl, libdigest-md5-perl, sysutils, apt (>= 0.3.11.1), make, mkisofs | mkhybrid, lynx, grep-dctrl, apt-utils (>= 0.5.4), debootstrap
Recommends: hfsutils, debianutils (>= 1.6)
Suggests: palo (>= 0.94)
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD set.
