## debian-cd 2.2.17

=== Makefile ===
--- 
+++ 
@@ -24,17 +24,17 @@
 CAPCODENAME:=$(shell perl -e "print ucfirst("$(CODENAME)")")
 endif
 ifndef BINDISKINFO
-BINDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num ($$DATE)"
+export BINDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num ($$DATE)"
 endif
 ifndef SRCDISKINFO
-SRCDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num ($$DATE)"
+export SRCDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num ($$DATE)"
 endif
 # ND=No-Date versions for README
 ifndef BINDISKINFOND
-BINDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num"
+export BINDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num"
 endif
 ifndef SRCDISKINFOND
-SRCDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num"
+export SRCDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num"
 endif
 ifndef BINVOLID
 ifeq ($(ARCH),powerpc)
@@ -58,11 +58,26 @@
 ifndef HOOK
 HOOK=$(BASEDIR)/tools/$(CODENAME).hook
 endif
+ifneq "$(wildcard $(MIRROR)/dists/$(CODENAME)/main/disks-$(ARCH))" ""
 ifndef BOOTDISKS
 export BOOTDISKS=$(MIRROR)/dists/$(CODENAME)/main/disks-$(ARCH)
 endif
+endif
 ifndef DOJIGDO
 export DOJIGDO=0
+endif
+ifndef JIGDOSCRIPT
+JIGDOSCRIPT=$(BASEDIR)/tools/jigdo_header
+endif
+
+ifndef UDEB_INCLUDE
+# Netinst/businesscard CD should have udeb_include file by default
+ifeq ($(INSTALLER_CD),1)
+UDEB_INCLUDE=$(BASEDIR)/data/$(CODENAME)/$(ARCH)_businesscard_udeb_include
+endif
+ifeq ($(INSTALLER_CD),2)
+UDEB_INCLUDE=$(BASEDIR)/data/$(CODENAME)/$(ARCH)_netinst_udeb_include
+endif
 endif
 
 ## Internal variables  
@@ -80,6 +95,8 @@
 set_mkisofs_opts=$(BASEDIR)/tools/set_mkisofs_opts
 strip_nonus_bin=$(BASEDIR)/tools/strip-nonUS-bin
 add_secured=$(BASEDIR)/tools/add_secured
+md5sum=/usr/bin/md5sum.textutils
+fastsums=$(BASEDIR)/tools/fast_sums
 
 BDIR=$(TDIR)/$(CODENAME)-$(ARCH)
 ADIR=$(APTTMP)/$(CODENAME)-$(ARCH)
@@ -111,60 +128,49 @@
 	echo SRCVOLID: ; \
         echo $(SRCVOLID) ; \
 
-## CHECKS ##
-
-# Basic checks in order to avoid problems
-ok=true
-ifndef TDIR
-ok=false
-endif
-ifndef BASEDIR
-ok=false
-endif
-ifndef MIRROR
-ok=false
-endif
-ifndef ARCH
-ok=false
-endif
-ifndef CODENAME
-ok=false
-endif
-ifndef OUT
-ok=false
-endif
-# Never use NONFREE and EXTRANONFREE at the same time
-ifdef NONFREE
-ifdef EXTRANONFREE
-ok=false
-endif
-endif
-# If we have FORCENONUSONCD1 set, we must also have NONUS set
-ifdef FORCENONUSONCD1
-ifndef NONUS
-ok=false
-endif
-endif
-# If we do jigdo, we need a command and a URL. If not, make sure we won't.
-ifneq "$(DOJIGDO)" "0"
-ifndef JIGDOCMD
-ok=false
-endif
-ifndef JIGDOTEMPLATEURL
-ok=false
-endif
-else
-export JIGDOCMD=false
-endif
-
 default:
 	@echo "Please refer to the README file for more information"
 	@echo "about the different targets available."
 
+## CHECKS ##
+
+# Basic checks in order to avoid problems
 ok:
-	@$(ok) || (echo \
-	 "ERROR: Bad configuration. Please edit CONF.sh and source it ..." \
-	 && false)
+ifndef TDIR
+	@echo TDIR undefined -- set up CONF.sh; false
+endif
+ifndef BASEDIR
+	@echo BASEDIR undefined -- set up CONF.sh; false
+endif
+ifndef MIRROR
+	@echo MIRROR undefined -- set up CONF.sh; false
+endif
+ifndef ARCH
+	@echo ARCH undefined -- set up CONF.sh; false
+endif
+ifndef CODENAME
+	@echo CODENAME undefined -- set up CONF.sh; false
+endif
+ifndef OUT
+	@echo OUT undefined -- set up CONF.sh; false
+endif
+ifdef NONFREE
+ifdef EXTRANONFREE
+	@echo Never use NONFREE and EXTRANONFREE at the same time; false
+endif
+endif
+ifdef FORCENONUSONCD1
+ifndef NONUS
+	@echo If we have FORCENONUSONCD1 set, we must also have NONUS set; false
+endif
+endif
+ifneq "$(DOJIGDO)" "0"
+ifndef JIGDOCMD
+	@echo JIGDOCMD undefined -- set up CONF.sh; false
+endif
+else
+export JIGDOCMD=false
+endif
 
 ## INITIALIZATION ##
 
@@ -185,25 +191,26 @@
 # CLeans the current arch tree (but not packages selection info)
 clean: ok bin-clean src-clean
 bin-clean:
-	$(Q)-rm -rf $(BDIR)/CD[1234567890]
-	$(Q)-rm -rf $(BDIR)/*_NONUS
-	$(Q)-rm -f $(BDIR)/*.filelist*
-	$(Q)-rm -f  $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \
-	         $(BDIR)/upgrade-stamp
+	$(Q)rm -rf $(BDIR)/CD[1234567890]
+	$(Q)rm -rf $(BDIR)/*_NONUS
+	$(Q)rm -f $(BDIR)/*.filelist*
+	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \
+	         $(BDIR)/upgrade-stamp $(BDIR)/secured-stamp
 src-clean:
-	$(Q)-rm -rf $(SDIR)/CD[1234567890]
-	$(Q)-rm -rf $(SDIR)/*_NONUS
-	$(Q)-rm -rf $(SDIR)/sources-stamp
+	$(Q)rm -rf $(SDIR)/CD[1234567890]
+	$(Q)rm -rf $(SDIR)/*_NONUS
+	$(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp
 
 # Completely cleans the current arch tree
 realclean: distclean
 distclean: ok bin-distclean src-distclean
 bin-distclean:
-	$(Q)-rm -rf $(BDIR)
-	$(Q)-rm -rf $(ADIR)
+	$(Q)rm -rf $(BDIR)
+	$(Q)rm -rf $(ADIR)
+	$(Q)rm -rf $(TDIR)/jigdofilelist
 src-distclean:
-	$(Q)-rm -rf $(SDIR)
-
+	$(Q)rm -rf $(SDIR)
+	$(Q)rm -rf $(TDIR)/jigdofilelist
 
 ## STATUS and APT ##
 
@@ -212,11 +219,15 @@
 status: init $(ADIR)/status
 $(ADIR)/status:
 	@echo "Generating a fake status file for apt-get and apt-cache..."
-	$(Q)zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$(ARCH)/Packages.gz | \
-	perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; \
+	$(Q)if [ "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" ];then \
+		:> $(ADIR)/status ; \
+	else \
+		zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$(ARCH)/Packages.gz | \
+		perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; \
 	               print if (/^Priority: (required|important|standard)/m or \
 		       /^Section: base/m);' \
-	> $(ADIR)/status
+		> $(ADIR)/status ; \
+	fi
 	# Updating the apt database
 	$(Q)$(apt) update
 	#
@@ -322,11 +333,11 @@
 $(BDIR)/rawlist:
 ifdef FORCENONUSONCD1
 	$(Q)$(apt) cache dumpavail | \
-		grep-dctrl -FSection -n -sPackage -e '^(non-US|non-us/main)' - | \
+		grep-dctrl -FSection -n -sPackage -e '^(non-US|non-us)' - | \
 		sort | uniq > $(BDIR)/Debian_$(CODENAME)_nonUS
 endif
-	$(Q)if [ -x "`which debootstrap`" ]; then \
-		debootstrap --arch $(ARCH) --print-debs $(CODENAME) \
+	$(Q)if [ -x "/usr/sbin/debootstrap" -a _$(INSTALLER_CD) != _1 ]; then \
+		/usr/sbin/debootstrap --arch $(ARCH) --print-debs $(CODENAME) \
 		| tr ' ' '\n' >>$(BDIR)/rawlist; \
 	fi
 	$(Q)perl -npe 's/\@ARCH\@/$(ARCH)/g' $(TASK) | \
@@ -406,23 +417,3 @@
 	for i in $(SDIR)/*.sources; do \
 		num=$${i%%.sources}; num=$${num##$(SDIR)/}; \
 		dir=$(SDIR)/CD$$num; \
-		echo -n $(SRCDISKINFO) | sed 's/_NONUS//g' > $$dir/.disk/info; \
-		echo '#define DISKNAME ' $(SRCDISKINFOND) | sed 's/_NONUS//g' \
-					> $$dir/README.diskdefines; \
-		echo '#define TYPE  source' \
-					>> $$dir/README.diskdefines; \
-		echo '#define TYPEsource  1' \
-					>> $$dir/README.diskdefines; \
-		echo '#define ARCH ' $(ARCH) \
-					>> $$dir/README.diskdefines; \
-		echo '#define ARCH'$(ARCH) ' 1' \
-					>> $$dir/README.diskdefines; \
-		echo '#define DISKNUM ' $$num | sed 's/_NONUS//g' \
-					>> $$dir/README.diskdefines; \
-		echo '#define DISKNUM'$$num ' 1' | sed 's/_NONUS//g' \
-					>> $$dir/README.diskdefines; \
-		echo '#define TOTALNUM ' $$nb \
-					>> $$dir/README.diskdefines; \
-		echo '#define TOTALNUM'$$nb ' 1' \
-					>> $$dir/README.diskdefines; \
-		echo -n $(SRCVOLID) > $(SDIR)/$${num}.volid; \
