=== debian/changelog ===
debian-cd (2.2.17) unstable; urgency=low

  * Removed debian/conffiles (useless with debhelper 4).
  * Added aptitude on netinst CD (but not on businesscard CD).
    Closes: #220125, #219986
    It is already on CD1 of a normal CD set.
  * Kenshi Muto
    - Add jfbterm, unifont into forcd1, d-i+kernel (second stage of
      debian-installer needs them).
    - Add console-cyrillic, console-terminus, hotplug into forcd1,
      d-i+kernel.
  * Joey Hess
    - Add "expert" mode to isolinux.cfg for sarge.
    - Remove pump-udeb from all udeb_includes; netcfg depends on and
      uses dhcp-client-udeb.
    - Add appropriate kernel-pcmcia-modules package to
      debian-installer+kernel task for i386.
    - Update the yaboot boot.msg to match the one in d-i cvs.
    - Update the yaboot.conf to add expert and expert-safe boot modes.
    - Link the d-i INSTALLATION-HOWTO into doc/, if it exists.
    - Add my exclude_udebs lists, for general and i386, and modify
      generate_di_list to not include udebs from those lists onto the
      cdrom, to save space on the netinst cds. Closes: #215469
    - Use the d-i docs in sid instead of the woody boot floppies docs.
    - Add pcmcia-cs-udeb to sarge's i386_netinst_udeb_include, to support
      pcmcia installs.
    - Remove console-keymaps from all udeb_includes; they are included
      on the cdrom initrds.
    - Switch from netcfg-static/dhcp to just netcfg.
    - Split udeb_includes for businesscard and netinst; netinst does not
      need choose-mirror, while businesscard does.
    - Add wireless-tool-udeb to udeb_include for i386 and powerpc netinst
      and businesscard images.
    - Add pcmcia-cs onto the generate-di+k_list, now that is is not
      autoinstalled by debootstrap.
    - Document vga=771 boot option for laptops with screen problems.
    - Add the debian-edu udebs to the exclude list for netinst CDs, and
      remove the deleted di-utils-devicefiles.
    - Update boot/sarge/boot-i386 to use the new d-i image names.
    - Use d-i boot screens from the debian-cd_info.tar.gz. 
      Closes: #220612, #221186
    - Remove the netboot initrd from netinst CDs, since d-i builds a mini-iso
      with this initrd on it, and since the d-i help screen does not mention
      the net type.
    - Add xfsprogs and reiserfsprogs to generate_di+k_list.
    - Add lilo as well; it's not autoinstalled by debootstrap, but
      lilo-installer still uses it.
    - Increase the i386 isolinux ramdisk size to 10 mb; it's grown due to
      translatons and all the scsi drivers.
    - Drop lowmemcheck from the CD; it is in the initrd.
    - Add wireless-tools to generate_d-i+k_list
    - Remove the old partitioner from the CD for i386. (This should also be
      done for other arches for which it is not default)
    - Include all the powerpc kernels that d-i's base-installer currently
      could try to install on the CD.
    - Try to include some sparc kernels on the CD; it's probably better than
      including none..
    - Revamped the README.html, removing the old manual apt setup
      instructions, various references to woody, fixing the link to the LDP
      home page, dropping reference to the basically dead non-us section,
      removing confusing references to non-free being on the CD, dropping
      references to dselect, etc.
    - Fix layout of README.txt, adding missing <p>'s after headings.
    - Drop README.mirrors and README.non-US from the CDs.
  * Steve Langasek
    - Add fdisk-udeb to the list of needed debs for alpha
    - Use /dev/ram as the root device for aboot (alpha)
  * Petter Reinholdtsen
    - Updated tasks/README with new location of popularity-contest results.
    - Regenereated tasks/popularity-contest-sarge based on the current
      data.
    - Avoid acorn-fdisk, cfdisk-utf8 and lots of kernels on the first CD.
      It should be enough with one kernel package on the first CD.
    - Make generated debian-installer list easier to read by adding
      arch info at the end of an #ifdef block.
  * Santiago Garcia
    - Add DI_CODENAME variable make it posible to build cds with a special
      debian-installer version.
    - Make Makefile remove dedication files except for current version.
    - Update debian-installer.* tasks
    - Add hppa kernels to generate_di+k_list
    - Add sarge boot scripts for hppa

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 20 Aug 2003 20:17:06 +0200

debian-cd (2.2.16) unstable; urgency=low

  * Updated standards-version to 3.6.0.
  * Use debhelper 4 (build-depends on it, updated DH_COMPAT).
  * WARNING: potato is now mostly unsupported, some cruft has been
    removed that may have been useful for generating potato CDs.
  * Added debian-installer support. debian-installer is automatically
    used if $MIRROR/dists/$CODENAME/main/debian-installer exists.
    (however you have to require the inclusion of the udeb via the
    task mechanism, cf tasks/debian-installer for the current list)
  * Added all files for sarge (in tasks/ data/ and tools/).
  * Updated isolinux.bin from syslinux 1.75-1.
  * Tollef Fog Heen:
    - Make it possible to exclude contrib from the CDs. Useful if you only
      have a mirror of main.
    - The names of the bootable images have changed on
      people.d.o/~tfheen/d-i/images/daily, update download scripts to reflect
      that.
  * Petter Reinholdtsen:
    - Add CONTRIB flag to debian/CONF.sh.
    - Add support for BASE_INCLUDE and BASE_EXCLUDE, making files
      cdrom/.disk/base_include and .../base_exclude used by
      debian-installer.
    - Document BOOTDISKS.
    - Make disk number available in tools/add-bin-doc.
    - In woody, keep the time stamp of smb.bin when copying it to CD.
    - Add support for UDEB_INCLUDE and UDEB_EXCLUDE, making files
      cdrom/.disk/udeb_include and .../udeb_exclude used by
      debian-installer.
  * Apply patch from Petter Reinholdtsen for inclusion of
    Recommends/Suggests from the base system. Closes: #106903

